Changeset 58324 in vbox for trunk/src/VBox/HostDrivers/linux
- Timestamp:
- Oct 20, 2015 8:39:37 AM (9 years ago)
- svn:sync-xref-src-repo-rev:
- 103523
- Location:
- trunk/src/VBox/HostDrivers/linux
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/HostDrivers/linux/export_modules
r57327 r58324 15 15 # 16 16 17 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 18 TARGET=`readlink -e -- "${0}"` || exit 1 19 MY_DIR="${TARGET%/[!/]*}" 20 17 21 if [ -z "$1" ]; then 18 22 echo "Usage: $0 <filename.tar.gz> [--without-hardening]" … … 29 33 PATH_OUT=$PATH_TMP 30 34 FILE_OUT="`cd \`dirname $1\`; pwd`/`basename $1`" 31 PATH_ROOT=" `cd \`dirname $0\`/../../../..; pwd`"35 PATH_ROOT="${MY_DIR}/../../../..; pwd`" 32 36 PATH_LINUX="$PATH_ROOT/src/VBox/HostDrivers/linux" 33 37 PATH_VBOXDRV="$PATH_ROOT/src/VBox/HostDrivers/Support" -
trunk/src/VBox/HostDrivers/linux/load.sh
r58264 r58324 16 16 # 17 17 18 MY_DIR=`dirname "$0"` 19 MY_DIR=`cd "${MY_DIR}" && pwd` 20 if [ ! -d "${MY_DIR}" ]; then 21 echo "Cannot find ${MY_DIR} or it's not a directory..." 22 exit 1; 23 fi 18 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 19 TARGET=`readlink -e -- "${0}"` || exit 1 20 MY_DIR="${TARGET%/[!/]*}" 24 21 25 22 set -e -
trunk/src/VBox/HostDrivers/linux/loadall.sh
r58264 r58324 16 16 # 17 17 18 MY_DIR=`dirname "$0"` 19 MY_DIR=`cd "${MY_DIR}" && pwd` 20 if [ ! -d "${MY_DIR}" ]; then 21 echo "Cannot find ${MY_DIR} or it's not a directory..." 22 exit 1; 23 fi 18 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 19 TARGET=`readlink -e -- "${0}"` || exit 1 20 MY_DIR="${TARGET%/[!/]*}" 24 21 25 22 if test ${#} -eq 0; then
Note:
See TracChangeset
for help on using the changeset viewer.